@use '../variables';

.traits-main, .trait-shop-main {
    @include variables.sectionDivisionPlacing;
    padding-top: 0;

    .trait-column {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
        grid-gap: 1.5rem;
        margin: 0 0.5rem 0 0.5rem;
        li {
            padding: 1.5rem;
            background-color: variables.$light;
            display: flex;
            flex-direction: column;
            align-items: center;
            grid-gap: 1.5rem;

            .tait-column-title {

                span {
                    font-family: variables.$boldy-font;
                    font-weight: bold;
                }
                h3 {
                    font-family: variables.$lato-font;
                    font-size: variables.$normal-size;
                    font-weight: 600;
                    color: variables.$secondary-color;
                }

                p {
                    font-family: variables.$mars-font;
                    font-weight: 750;
                    color: variables.$l-dark;
                }
            }

            .trait-list {
                    text-align: center;
                    height: 25rem;
                    margin: 0.5rem 0 0 0;
                    padding: 0 1rem;
                    overflow: auto;
                    width: 90%;

                    li.trait-name {
                        border-bottom: 0.02rem solid variables.$d-grey;
                        margin: 0.5rem 0 0.5rem 0;
                        padding: 0.5rem;


                        &:hover {
                            cursor: pointer;
                        }
                    }
            }

            .form-part {
                width: 100%;
                text-align: center;
                form {
                    input[type="text"] {
                        font-size: 1rem;
                        width: 80%;
                        border: none;
                        margin: 0 0.5rem 0 0;
                    }
                }
            }
        }
    }
}